Storrik LogoStorrik Docs
APIReferenceCustomer

Verify customer login code

Verifies a one-time email code and creates a customer session.

If successful, returns a customer session token.

POST
/v1/customer/login/verify
Authorization<token>

Use Authorization: Bearer pk_...

In: header

emailstring
Formatemail
codestring

One-time verification code sent via email.

name?string

Optional customer name for first-time creation.

Response Body

curl -X POST "https://api.storrik.com/v1/customer/login/verify" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "code": "string"  }'
{
  "ok": true,
  "token": "string",
  "expiresAt": 0,
  "customer": {
    "id": "CUS_xxxxx",
    "email": "user@example.com",
    "name": "string",
    "balance": 0,
    "balanceCurrency": "USD",
    "lastLoginAt": 0
  }
}
Empty
Empty